glibmm: Gio::SimpleActionGroup Class Reference

glibmm 2.32.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::SimpleActionGroup Class Reference

SimpleActionGroup - A simple ActionGroup implementation. More...

`#include <giomm/simpleactiongroup.h>`

Inheritance diagram for Gio::SimpleActionGroup:
[legend]

List of all members.

## Public Member Functions
virtual | ~SimpleActionGroup ()
GSimpleActionGroup* | gobj ()
| Provides access to the underlying C GObject.
const GSimpleActionGroup* | gobj () const
| Provides access to the underlying C GObject.
GSimpleActionGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Action > | lookup (const Glib::ustring& action_name)
| Looks up the action with the name action_name in the group.
void | insert (const Glib::RefPtr< Action >& action)
| Adds an action to the action group.
void | remove (const Glib::ustring& action_name)
| Removes the named action from the action group.
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase&value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase&value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType&value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType&value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()
Public Member Functions inherited from Gio::ActionGroup
virtual | ~ActionGroup ()
bool | has_action (const Glib::ustring& action_name) const
| Checks if the named action exists within action_group.
std::vector< Glib::ustring > | list_actions () const
| Lists the actions contained within action_group.
bool | get_action_enabled (const Glib::ustring& action_name) const
| Checks if the named action within action_group is currently enabled.
Glib::VariantType | get_action_parameter_type (const Glib::ustring& action_name) const
| Queries the type of the parameter that must be given when activating the named action within action_group.
Glib::VariantType | get_action_state_type (const Glib::ustring& action_name) const
| Queries the type of the state of the named action within action_group.
Glib::VariantContainerBase | get_action_state_hint (const Glib::ustring& action_name) const
| Requests a hint about the valid range of values for the state of the named action within action_group.
Glib::VariantBase | get_action_state (const Glib::ustring& action_name) const
| Queries the current state of the named action within action_group.
void | change_action_state (const Glib::ustring& action_name, const Glib::VariantBase&value)
| Request for the state of the named action within action_group to be changed to value.
void | activate_action (const Glib::ustring& action_name, const Glib::VariantBase& parameter)
| Activate the named action within action_group.
void | action_added (const Glib::ustring& action_name)
| Emits the ActionGroup::signal_action_added() signal on action_group.
void | action_removed (const Glib::ustring& action_name)
| Emits the ActionGroup::signal_action_removed() signal on action_group.
void | action_enabled_changed (const Glib::ustring& action_name, bool enabled)
| Emits the ActionGroup::signal_action_enabled_changed() signal on action_group.
void | action_state_changed (const Glib::ustring& action_name, const Glib::VariantBase& state)
| Emits the ActionGroup::signal_action_state_changed() signal on action_group.
Glib::SignalProxy1< void, const Glib::ustring& > | signal_action_added ()
Glib::SignalProxy2< void, const Glib::ustring&, bool > | signal_action_enabled_changed ()
Glib::SignalProxy1< void, const Glib::ustring& > | signal_action_removed ()
Glib::SignalProxy2< void, const Glib::ustring&, const Glib::VariantBase& > | signal_action_state_changed ()
virtual bool | has_action_vfunc (const Glib::ustring& name) const
virtual std::vector < Glib::ustring > | list_actions_vfunc () const
virtual bool | get_action_enabled_vfunc (const Glib::ustring& name) const
virtual Glib::VariantType | get_action_parameter_type_vfunc (const Glib::ustring& name) const
virtual Glib::VariantType | get_action_state_type_vfunc (const Glib::ustring& name) const
virtual Glib::VariantBase | get_action_state_hint_vfunc (const Glib::ustring& name) const
virtual Glib::VariantBase | get_action_state_vfunc (const Glib::ustring& name) const
virtual void | change_action_state_vfunc (const Glib::ustring& name, const Glib::VariantBase&value)
virtual void | activate_action_vfunc (const Glib::ustring& name, const Glib::VariantBase& parameter)
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes.
| Interface (GObject* castitem)
| Called by constructors of derived classes.
virtual | ~Interface ()
Public Member Functions inherited from Gio::ActionMap
virtual | ~ActionMap ()
Glib::RefPtr< Action > | lookup_action (const Glib::ustring& action_name)
| Looks up the action with the name action_name in action_map.
Glib::RefPtr< const Action > | lookup_action (const Glib::ustring& action_name) const
| Looks up the action with the name action_name in action_map.
void | add_action (const Glib::RefPtr< Action >& action)
| Adds an action to the action_map.
void | remove_action (const Glib::ustring& action_name)
| Removes the named action from the action map.
virtual Glib::RefPtr< Action > | lookup_action_vfunc (const Glib::ustring& name) const
virtual void | add_action_vfunc (Glib::RefPtr< Action > action) const
virtual void | remove_action_vfunc (const Glib::ustring& name)

## Static Public Member Functions
static Glib::RefPtr < SimpleActionGroup > | create ()
| Creates a new, empty, SimpleActionGroup.
Static Public Member Functions inherited from Gio::ActionGroup
static void | add_interface (GType gtype_implementer)
Static Public Member Functions inherited from Gio::ActionMap
static void | add_interface (GType gtype_implementer)

## Protected Member Functions
| SimpleActionGroup ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)
Protected Member Functions inherited from Gio::ActionGroup
| ActionGroup ()
| You should derive from this class to use it.
virtual void | on_action_added (const Glib::ustring& action_name)
| This is a default handler for the signal signal_action_added().
virtual void | on_action_enabled_changed (const Glib::ustring& action_name, bool enabled)
| This is a default handler for the signal signal_action_enabled_changed().
virtual void | on_action_removed (const Glib::ustring& action_name)
| This is a default handler for the signal signal_action_removed().
virtual void | on_action_state_changed (const Glib::ustring& action_name, const Glib::VariantBase&value)
| This is a default handler for the signal signal_action_state_changed().
Protected Member Functions inherited from Gio::ActionMap
| ActionMap ()
| You should derive from this class to use it.

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::SimpleActionGroup > | wrap (GSimpleActionGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::ActionGroup
Glib::RefPtr< Gio::ActionGroup > | wrap (GActionGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gio::ActionMap
Glib::RefPtr< Gio::ActionMap > | wrap (GActionMap* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)

## Detailed Description

SimpleActionGroup - A simple ActionGroup implementation.

SimpleActionGroup is a hash table filled with Action objects, implementing the ActionGroup interface.

Since glibmm 2.32:

## Constructor & Destructor Documentation

virtual Gio::SimpleActionGroup::~SimpleActionGroup | ( |  | ) |
| virtual

Gio::SimpleActionGroup::SimpleActionGroup | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<SimpleActionGroup> Gio::SimpleActionGroup::create | ( |  | ) |
| static

Creates a new, empty, SimpleActionGroup.

Since glibmm 2.28:

Returns:
  A new SimpleActionGroup.

GSimpleActionGroup* Gio::SimpleActionGroup::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

Reimplemented from Gio::ActionGroup.

const GSimpleActionGroup* Gio::SimpleActionGroup::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Reimplemented from Gio::ActionGroup.

GSimpleActionGroup* Gio::SimpleActionGroup::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::SimpleActionGroup::insert | ( | const Glib::RefPtr< Action >& | action | ) |

Adds an action to the action group.

If the action group already contains an action with the same name as action then the old action is dropped from the group.

The action group takes its own reference on action.

Since glibmm 2.28:

Parameters:

  action | A Action.

Glib::RefPtr<Action> Gio::SimpleActionGroup::lookup | ( | const Glib::ustring& | action_name | ) |

Looks up the action with the name action_name in the group.

If no such action exists, returns `0`.

Since glibmm 2.28:

Parameters:

  action_name | The name of an action.

Returns:
  A Action, or `0`.

void Gio::SimpleActionGroup::remove | ( | const Glib::ustring& | action_name | ) |

Removes the named action from the action group.

If no action of this name is in the group then nothing happens.

Since glibmm 2.28:

Parameters:

  action_name | The name of the action.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::SimpleActionGroup > wrap | ( | GSimpleActionGroup * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.